summaryrefslogtreecommitdiffstats
path: root/graphics/amide
diff options
context:
space:
mode:
Diffstat (limited to 'graphics/amide')
-rw-r--r--graphics/amide/README36
-rw-r--r--graphics/amide/amide.SlackBuild133
-rw-r--r--graphics/amide/amide.info10
-rw-r--r--graphics/amide/doinst.sh4
-rw-r--r--graphics/amide/slack-desc19
5 files changed, 202 insertions, 0 deletions
diff --git a/graphics/amide/README b/graphics/amide/README
new file mode 100644
index 0000000000..e3b52b6a48
--- /dev/null
+++ b/graphics/amide/README
@@ -0,0 +1,36 @@
+AMIDE is a competely free tool for viewing, analyzing, and registering
+volumetric medical imaging data sets. It's been written on top of GTK+,
+and runs on any system that supports this toolkit (Linux, Windows,
+Mac OS X, etc.).
+
+FEATURES:
+* Abitrary orientation, thickness, and time period slice viewing of
+ a data set.
+* Thick slabs can be generated by averaging (MPR), taking the
+ maximum (MIP), or the minimum (MIP).
+* Multiple data sets can be loaded and viewed at once.
+* Nearest Neighbor and Trilinear interpolation functions
+* Zooming
+* Black/White,White/Black,Red/Green/Blue Temperature,
+ Hot Metal/Blue/Green, Spectrum, NIH/UCLA colormaps
+* Thresholding: data sets are thresholded independently.
+* 3-dimensional ROI's can be drawn directly on the images and
+ statistics can be generated for these ROI's.
+* Imports raw data files (8bit,16bit,32bit,float,etc).
+* Imports Acr/Nema 2.0, Analyze (SPM), DICOM 3.0, InterFile3.3,
+ ECAT 6/7, and Gif87a/89a (using the (X)medcon/libmdc).
+* Imports most clinical DICOM files (using the DCMTK library).
+* Allows cropping and clearing regions of data sets.
+* Anisotropic filtering wizard.
+* Saves studies (ROI and Data Set data) as XML data.
+* Series of slices can be viewed.
+* Fly through movies can be generated as MPEG1 files
+* True volume rendering support with the capability of rendering
+ multiple data sets at a time. Series of renderings can be saved
+ as MPEG1 movies. Data sets can also be rendered as stereoscopic
+ image pairs
+* Alignment of data sets is supported using fiducial markers.
+* A profile tool is included that can calculate gaussian fits and
+ FWHM's of the generated line profiles.
+
+
diff --git a/graphics/amide/amide.SlackBuild b/graphics/amide/amide.SlackBuild
new file mode 100644
index 0000000000..d313e62c23
--- /dev/null
+++ b/graphics/amide/amide.SlackBuild
@@ -0,0 +1,133 @@
+#!/bin/bash
+
+# Slackware build script for amide
+
+# Copyright 2023 Juan M. Lasca <juanmlasca@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=amide
+VERSION=${VERSION:-1.0.6+20231009_c02babd}
+COMMIT=c02babd6b660a8d83c7f90eab69bbff34253923d
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$COMMIT
+tar xvf $CWD/$PRGNAM-$COMMIT.tar.gz
+cd $PRGNAM-$COMMIT
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+intltoolize
+libtoolize
+touch gtk-doc.make gnome-doc-utils.make
+autoreconf -i
+
+CFLAGS="$SLKCFLAGS -Dg_warning=printf" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux \
+ --disable-gnome-vfs \
+ --disable-doc \
+ --disable-scrollkeeper
+
+# workaround GTK+-2.0 ABI issue
+sed -i '$a\#define g_warning printf' amide_config.h;
+
+make -j1
+make -j1 install DESTDIR=$PKG
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# Correct .desktop file
+sed -i '/Encoding=UTF-8/d;s/Graphics;Education;Science;MedicalSoftware;/Graphics;/' \
+ $PKG/usr/share/applications/amide.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ RELEASE_NOTES README.md NEWS AUTHORS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/graphics/amide/amide.info b/graphics/amide/amide.info
new file mode 100644
index 0000000000..d4c5404207
--- /dev/null
+++ b/graphics/amide/amide.info
@@ -0,0 +1,10 @@
+PRGNAM="amide"
+VERSION="1.0.6+20231009_c02babd"
+HOMEPAGE="https://amide.sourceforge.net/"
+DOWNLOAD="https://github.com/ferdymercury/amide/archive/c02babd/amide-c02babd6b660a8d83c7f90eab69bbff34253923d.tar.gz"
+MD5SUM="650f348061896c5efcb1443bc12239bd"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libgnomecanvas xmedcon dcmtk"
+MAINTAINER="Juan M. Lasca"
+EMAIL="juanmlasca@gmail.com"
diff --git a/graphics/amide/doinst.sh b/graphics/amide/doinst.sh
new file mode 100644
index 0000000000..696d35bad7
--- /dev/null
+++ b/graphics/amide/doinst.sh
@@ -0,0 +1,4 @@
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/graphics/amide/slack-desc b/graphics/amide/slack-desc
new file mode 100644
index 0000000000..b121241e4f
--- /dev/null
+++ b/graphics/amide/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+amide: amide (Amide's a Medical Imaging Data Examiner)
+amide:
+amide: AMIDE is a competely free tool for viewing, analyzing, and
+amide: registering volumetric medical imaging data sets. It's been written
+amide: on top of GTK+, and runs on any system that supports this toolkit
+amide: (Linux, Windows, Mac OS X, etc.).
+amide:
+amide:
+amide:
+amide: For more information, see: https://amide.sourceforge.net/
+amide: